%define lib_major       0
%define libname        %mklibname gdiplus %{lib_major}
%define libnamedev     %mklibname -d gdiplus

Name:		libgdiplus
Summary:	An Open Source implementation of the GDI+ API
Version:	2.10.9
Release:	%mkrel 6
License:	MIT
Group:		System/Libraries
URL:		http://www.mono-project.com/Main_Page
Source:		http://download.mono-project.com/sources/%name/%{name}-%{version}.tar.bz2
Patch0:		libgdiplus-2.10.1-libpng15.patch
Patch1:		libgdiplus-2.10-link.patch
Patch2:		libgdiplus-2.10.9-gold.patch
Patch3:		libgdiplus-2.10.9-automake-1.13.patch
BuildRequires:	glib2-devel
BuildRequires:	jpeg-devel
BuildRequires:	libexif-devel
BuildRequires:	ungif-devel
BuildRequires:	tiff-devel
BuildRequires:	png-devel
BuildRequires:	libsm-devel
BuildRequires:	libxrender-devel
BuildRequires:	libxml2-devel
BuildRequires:	libfontconfig-devel
BuildRequires:	cairo-devel
BuildRequires:	pango-devel
BuildRequires:	automake

%description
An Open Source implementation of the GDI+ API.
This is part of the Mono project.

%package -n %{libname}
Summary:	An Open Source implementation of the GDI+ API
Group:		System/Libraries
Provides:	%name = %version-%release
Conflicts:	%{libname} < 2.10.9-1

%description -n %{libname}
An Open Source implementation of the GDI+ API.
This is part of the Mono project.

%package -n %{libnamedev}
Summary:	Libraries for developing with libgdiplus
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes: %mklibname -d gdiplus 0
Conflicts:	%{libnamedev} < 2.10.9-1

%description -n %{libnamedev}
This package provides the necessary development libraries to allow
you to develop with libgdiplus.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p1 -b .gold
%patch3 -p1 -b .automake-1_13

%build
aclocal
libtoolize -fic
autoheader
automake -acf
autoconf

%configure2_5x --disable-static --with-jpegprefix=no
%make

%install
%makeinstall_std

# workaround
sed -i -e 's|-L${libjpeg_prefix}/lib||g' %{buildroot}%{_libdir}/pkgconfig/libgdiplus.pc

rm -f %buildroot%{_libdir}/*.la

%files -n %{libname}
%defattr(0644, root, root, 0755)
%doc AUTHORS COPYING
%{_libdir}/*.so.%{lib_major}*

%files -n %{libnamedev}
%defattr(0644, root, root, 0755)
%doc src/ChangeLog
%{_libdir}/*.so
%{_libdir}/pkgconfig/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.10.9-6.mga4
+ Revision: 525871
- Mageia 4 Mass Rebuild

  + matteo <matteo>
    - drop --with-cairo option for configure (not valid anymore)

* Sun Jun 02 2013 fwang <fwang> 2.10.9-4.mga4
+ Revision: 434895
- rebuild for new libpng

* Sat Jan 12 2013 umeabot <umeabot> 2.10.9-3.mga3
+ Revision: 357168
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 cjw <cjw> 2.10.9-2.mga3
+ Revision: 341537
- patch3: fix build with automake 1.13
- drop non-working and unneeded configure change

* Sat Sep 01 2012 matteo <matteo> 2.10.9-1.mga3
+ Revision: 287047
- new version

* Fri Dec 23 2011 fwang <fwang> 2.10-3.mga2
+ Revision: 186479
- rebuild for new libtiff

* Sun Sep 11 2011 fwang <fwang> 2.10-2.mga2
+ Revision: 142312
- fix link patch
- fix linkage
- add netbsd patch to build with libpng 1.5
- br pango
- more br
- rebuild for new libpng

* Thu Jul 14 2011 fwang <fwang> 2.10-1.mga2
+ Revision: 123960
- new version 2.10

* Sat Jan 15 2011 ahmad <ahmad> 2.8.1-2.mga1
+ Revision: 18120
- drop old/unneeded scriptlets
- imported package libgdiplus


* Thu Dec 23 2010 Götz Waschk <waschk@mandriva.org> 2.8.1-1mdv2011.0
+ Revision: 624034
- update build deps
- update to new version 2.8.1

* Thu Oct 07 2010 Götz Waschk <waschk@mandriva.org> 2.8-1mdv2011.0
+ Revision: 583934
- new version
- drop patch

* Tue Aug 31 2010 Oden Eriksson <oeriksson@mandriva.com> 2.6.7-2mdv2011.0
+ Revision: 574878
- P0: security fix for CVE-2010-1526 (upstream)

* Tue Jul 20 2010 Götz Waschk <waschk@mandriva.org> 2.6.7-1mdv2011.0
+ Revision: 555670
- update to new version 2.6.7

* Wed Apr 28 2010 Götz Waschk <waschk@mandriva.org> 2.6.4-1mdv2010.1
+ Revision: 539980
- update to new version 2.6.4

* Tue Mar 16 2010 Götz Waschk <waschk@mandriva.org> 2.6.2-1mdv2010.1
+ Revision: 521495
- update to new version 2.6.2

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 2.6-2mdv2010.1
+ Revision: 488776
- rebuilt against libjpeg v8

* Tue Dec 15 2009 Götz Waschk <waschk@mandriva.org> 2.6-1mdv2010.1
+ Revision: 478861
- update to new version 2.6

* Sat Aug 15 2009 Oden Eriksson <oeriksson@mandriva.com> 2.4.2-2mdv2010.0
+ Revision: 416620
- rebuilt against libjpeg v7

* Tue Jun 30 2009 Götz Waschk <waschk@mandriva.org> 2.4.2-1mdv2010.0
+ Revision: 390911
- new version

* Fri Apr 24 2009 Götz Waschk <waschk@mandriva.org> 2.4-1mdv2010.0
+ Revision: 368970
- new version

* Wed Jan 14 2009 Götz Waschk <waschk@mandriva.org> 2.2-1mdv2009.1
+ Revision: 329389
- update to new version 2.2

* Sun Nov 09 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0-2mdv2009.1
+ Revision: 301475
- rebuilt against new libxcb

* Sat Oct 11 2008 Götz Waschk <waschk@mandriva.org> 2.0-1mdv2009.1
+ Revision: 291911
- new version

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 1.9-2mdv2009.0
+ Revision: 264803
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Apr 08 2008 Götz Waschk <waschk@mandriva.org> 1.9-1mdv2009.0
+ Revision: 192399
- new version

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 1.2.6-2mdv2008.1
+ Revision: 148502
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Dec 13 2007 Götz Waschk <waschk@mandriva.org> 1.2.6-1mdv2008.1
+ Revision: 119270
- new version

  + Thierry Vignaud <tv@mandriva.org>
    - do not package big ChangeLog

* Thu Aug 30 2007 Götz Waschk <waschk@mandriva.org> 1.2.5-1mdv2008.0
+ Revision: 75604
- new version
- new devel name
- fix buildrequires

* Wed May 16 2007 Götz Waschk <waschk@mandriva.org> 1.2.4-1mdv2008.0
+ Revision: 27332
- new version
- fix buildrequires


* Wed Feb 07 2007 Götz Waschk <waschk@mandriva.org> 1.2.3-1mdv2007.0
+ Revision: 116980
- new version

* Tue Dec 05 2006 Götz Waschk <waschk@mandriva.org> 1.2.2-1mdv2007.1
+ Revision: 90712
- new version

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 1.2.1-1mdv2007.1
+ Revision: 86332
- new version

* Fri Nov 10 2006 Götz Waschk <waschk@mandriva.org> 1.2-1mdv2007.1
+ Revision: 80515
- new version

* Tue Oct 17 2006 Götz Waschk <waschk@mandriva.org> 1.1.18-1mdv2007.1
+ Revision: 65576
- Import libgdiplus

* Tue Oct 17 2006 Götz Waschk <waschk@mandriva.org> 1.1.18-1mdv2007.1
- New version 1.1.18

* Thu Aug 31 2006 Götz Waschk <waschk@mandriva.org> 1.1.17-1mdv2007.0
- New release 1.1.17

* Fri Jul 14 2006 Götz Waschk <waschk@mandriva.org> 1.1.16.1-1
- New release 1.1.16.1

* Sat Jul 08 2006 Gtz Waschk <waschk@mandriva.org> 1.1.16-1mdv2007.0
- drop patch
- New release 1.1.16

* Sat Jul 01 2006 Gtz Waschk <waschk@mandriva.org> 1.1.15-2mdv2007.0
- disable -Werror

* Tue Apr 18 2006 Gtz Waschk <waschk@mandriva.org> 1.1.15-1mdk
- fix source URL
- new version

* Tue Apr 04 2006 Götz Waschk <waschk@mandriva.org> 1.1.14-1mdk
- New release 1.1.14

* Thu Mar 30 2006 Götz Waschk <waschk@mandriva.org> 1.1.13.6-1mdk
- New release 1.1.13.6

* Sun Mar 05 2006 Götz Waschk <waschk@mandriva.org> 1.1.13.4-1mdk
- New release 1.1.13.4

* Mon Jan 23 2006 Götz Waschk <waschk@mandriva.org> 1.1.13.2-1mdk
- New release 1.1.13.2

* Wed Jan 11 2006 Götz Waschk <waschk@mandriva.org> 1.1.13-1mdk
- New release 1.1.13

* Mon Dec 19 2005 Götz Waschk <waschk@mandriva.org> 1.1.11-1mdk
- New release 1.1.11
- use mkrel

* Wed Nov 09 2005 Götz Waschk <waschk@mandriva.org> 1.1.10-1mdk
- New release 1.1.10

* Thu Oct 13 2005 Götz Waschk <waschk@mandriva.org> 1.1.9.2-1mdk
- New release 1.1.9.2

* Sat Sep 24 2005 Götz Waschk <waschk@mandriva.org> 1.1.9.1-1mdk
- New release 1.1.9.1

* Sun Sep 11 2005 Gtz Waschk <waschk@mandriva.org> 1.1.9-1mdk
- drop patch
- New release 1.1.9

* Fri Sep 02 2005 Gtz Waschk <waschk@mandriva.org> 1.1.8-2mdk
- fix buildrequires

* Sat Jun 18 2005 Gtz Waschk <waschk@mandriva.org> 1.1.8-1mdk
- source URL
- New release 1.1.8

* Tue May 10 2005 Gtz Waschk <waschk@mandriva.org> 1.1.7-1mdk
- New release 1.1.7

* Tue Mar 29 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.1.5-1mdk
- New release 1.1.5
- patch included for new glitz

* Thu Dec 09 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.0.5-1mdk
- New release 1.0.5

* Fri Nov 05 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.0.4-1mdk
- New release 1.0.4

* Thu Sep 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.2-1mdk
- fix source URL
- New release 1.0.2

* Thu Aug 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.1-1mdk
- new version

* Fri Jul 02 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-1mdk
- new version

* Thu Jun 17 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9-1mdk
- new version

* Thu Jun 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-2mdk
- fix buildrequires
- provide libgdiplus in the library package

* Thu Jun 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.8-1mdk
- new version

* Thu May 06 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5-1mdk
- requires new cairo
- add more buildrequires
- new version

* Thu Apr 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2-3mdk
- fix buildrequires

* Thu Apr 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2-2mdk
- fix buildrequires

* Tue Apr 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2-1mdk
- autoconf 2.5 macro
- fix URL
- new version

